gnutls_x509_name_constraints_add_excluded(3)

NAME
gnutls_x509_name_constraints_add_excluded - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_name_constraints_add_excluded(gnutls_x509_name_constraints_t nc, gnutls_x509_subject_alt_name_t type, const gnutls_datum_t * name);

ARGUMENTS

gnutls_x509_name_constraints_t nc
    The nameconstraints

gnutls_x509_subject_alt_name_t            type
    The type of the constraints

const gnutls_datum_t * name
    The data of the constraints

DESCRIPTION
This function will add a name constraint to the list of excluded constraints. The constraints type can be any of the following types: GNUTLS_SAN_DNSNAME, GNUTLS_SAN_RFC822NAME, GNUTLS_SAN_DN, GNUTLS_SAN_URI, GNUTLS_SAN_IPADDRESS. For the latter, an IP address in network byte order is expected, followed by its network mask (which is 4 bytes in IPv4 or 16-bytes in IPv6).

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/